/* フッター全体 */
.footer {
    background: #333;
    color: #fff;
    padding: 24px 20px 10px;
}

/* フッター内ボーダー */
.footer__divider {
    border-top: 1px solid #666;
    width: 100%;
}

/* フッター上段 */
.footer__section {
    margin-bottom: 24px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 16px;
}
.footer__section h4 {
    font-size: 16px;
    font-weight: 700;
    color: #fff;
}
/* .footer__section strong {
  font-size: 14px;
  color: #fff;
} */
.footer__section p {
    line-height: 1.8;
    display: flex;
    gap: 72px;
}
.footer__section a {
    position: relative;
    display: inline-block;
    font-size: 12px;
    font-weight: 400;
    white-space: nowrap;
    background-image: linear-gradient(to left, #fff 50%, #ea5413 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    transition: background-position 0.4s ease;
}
@media screen and (max-width: 768px) {
    .footer__section a {
        position: relative;
        display: inline-block;
        font-size: 12px;
        font-weight: 400;
        white-space: nowrap;
        background-image: none;
        background-size: 200% 100%;
        background-position: right bottom;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        transition: background-position 0.4s ease;
    }
}
/* .footer__section a::after {
  content: "";
  position: absolute;
  bottom: 4px;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: #fff;
  transition: background-color 0.4s ease;
} */
.footer__section a:hover {
    background-position: left bottom;
}
.footer__section a:hover::after {
    background-color: #ea5413;
}
@media screen and (max-width: 768px) {
    .footer__section a:hover::after {
        background-color: #fff;
    }
}
.footer__section span {
    margin: 0 8px;
}
.left-border {
    box-sizing: border-box;
    border: none;
    border-left: solid 1px #fff;
    padding-left: 16px;
}
/* フッター下段 */
.footer__bottom {
    /* border-top: 1px solid #666; */
    /* margin-top: 20px; */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 10px;
    font-weight: 100;
    color: #999999;
}
.footer__nav {
    padding-top: 24px;
    display: flex;
    gap: 24px;
}
.footer__nav a {
    position: relative;
    display: inline-block;
    background-image: linear-gradient(to left, #fff 50%, #ea5413 50%);
    background-size: 200% 100%;
    background-position: right bottom;
    font-size: 12px;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    transition: background-position 0.4s ease;
}
/* 擬似要素でアンダーライン */
/* .footer__nav a::after {
  content: "";
  position: absolute;
  bottom: 2px;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: #fff;
  transition: background-color 0.4s ease;
} */
.footer__nav a:hover {
    background-position: left bottom;
}
.footer__nav a:hover::after {
    background-color: #ea5413;
}
.footer__nav span {
    margin: 0 8px;
}
.footer__copy {
    margin-top: 16px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
}
.footer__img {
    height: 24px;
    width: auto;
}
.footer__logo {
    height: 100%;
}
.sp-block {
    display: none;
}
.sp-none {
    display: block;
}

@media screen and (max-width: 768px) {
    .sp-block {
        display: block;
    }
    .footer {
        padding: 24px 0;
    }
    .footer__section p.sp-none {
        display: none;
    }
    .sp-footer_menu {
        padding-left: 0;
        width: 100%;
    }
    .sp-footer_menu li {
        color: #fff;
        font-size: 12px;
        list-style: none;
        padding: 10px 20px;
        border-bottom: 1px solid #666;
    }

    .sp-footer_menu li a {
        position: relative;
        display: block;
        padding-right: 1.5em; /* 矢印分の余白 */
        color: #fff; /* 必要に応じてカラーを調整 */
        text-decoration: none;
        -webkit-text-fill-color: #fff;
    }
    .sp-footer_menu li a::after {
        content: ">";
        /* content: ""; */
        position: absolute;
        right: 0.75em;
        top: 50%;
        transform: translateY(-50%);
        font-size: 1.2em;
        color: #fff;
        opacity: 0.8;
        line-height: 1;
    }
    .sp-footer_menu li a:hover::after {
        opacity: 1;
        transform: translateY(-50%) translateX(4px);
    }

 
    .footer__nav {
        flex-wrap: wrap;
        gap: 8px;
        padding: 0 20px;
    }
    .footer__divider{
        border-top: none;
    }
    .footer__nav a {
        background-color: #4b4b4b;
        color: #fff;
        padding: 12px 4px;
        font-size: 10px;
        width: 47%;
        display: flex;
        background-image: none;
        -webkit-text-fill-color: #fff;
        text-decoration: none;
        -webkit-background-clip: border-box;
        border-radius: 5px;
        margin: 0 auto;
    }
    .footer__nav {
        display: flex;
        flex-wrap: wrap;
        gap: 16px;
        font-size: 14px;
    }

    .footer__nav a {
        text-decoration: none;
        color: #fff; /* 文字色。必要に応じて変更 */
    }

    .arrow-link {
        display: inline-flex;
        align-items: center;
        gap: 8px;
    }

    .circle-arrow {
        width: 15px;
        height: 15px;
        background-color: white;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    /* CSSだけで作る右向き矢印 */
    .circle-arrow::after {
        content: "";
        display: inline-block;
        width: 5px;
        height: 5px;
        border-right: 2px solid black;
        border-bottom: 2px solid black;
        transform: rotate(-45deg);
    }
    .footer__copy {
        margin-top: 27px;
    }
}
